﻿using System;
using System.IO;
using System.Web;

namespace DA
{

    /// <summary>
    /// Data Access for profile data. For simplicity I save the
    /// profile in a single text file.
    /// </summary>
    public static class Profile
    {

        public static void UpdateProfile(string profile)
        {
            string filename = HttpContext.Current.Server.MapPath("~/App_Data/profile.xml");
            using(TextWriter tw = new StreamWriter(filename))
            {
                tw.WriteLine(profile);
            }
        }

        public static string GetProfile()
        {
            string filename = HttpContext.Current.Server.MapPath("~/App_Data/profile.xml");
            using (TextReader tr = new StreamReader(filename))
            {
                return tr.ReadToEnd();
            }
        }

    }

}